Get Link by ID
Get a single link by its ID
GET
/
links
/
id
/
{linkId}
Get Link by ID
curl --request GET \
--url https://services.leadconnectorhq.com/links/id/{linkId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/links/id/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/links/id/{linkId}"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"link": {
"id": "n4AriwEnFrGh3tu08W0U",
"name": "first tag",
"redirectTo": "https://www.google.com/",
"fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
"locationId": "ve9EPM428h8vShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Headers
Last modified on March 8, 2026
Was this page helpful?
Get Link by ID
curl --request GET \
--url https://services.leadconnectorhq.com/links/id/{linkId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/links/id/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/links/id/{linkId}"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"link": {
"id": "n4AriwEnFrGh3tu08W0U",
"name": "first tag",
"redirectTo": "https://www.google.com/",
"fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
"locationId": "ve9EPM428h8vShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}